SYD ?= syd

ROOT = $(shell git rev-parse --show-toplevel)
ifneq ($(ROOT),)
	RUBYLIB := $(ROOT)/lib/src:$(RUBYLIB)
	export RUBYLIB
	LD_LIBRARY_PATH := $(ROOT)/target/release/deps:$(LD_LIBRARY_PATH)
	export LD_LIBRARY_PATH
endif

all: rbshell.rb

check: test

test: rbshell.rb
	$(SYD) -plib -pcontainer -- ./rbshell.rb

.PHONY: all check test
